dnl $Id: aclocal.m4,v 1.4 1995/01/01 19:31:27 ceder Exp $
dnl Copyright (C) 1994, 1995  Lysator Academic Computer Association.
dnl
dnl This file is part of the LysKOM server.
dnl 
dnl LysKOM is free software; you can redistribute it and/or modify it
dnl under the terms of the GNU General Public License as published by 
dnl the Free Software Foundation; either version 1, or (at your option) 
dnl any later version.
dnl 
dnl LysKOM is distributed in the hope that it will be useful, but WITHOUT
dnl ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
dnl FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
dnl for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with LysKOM; see the file COPYING.  If not, write to
dnl Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
dnl or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
dnl MA 02139, USA.
dnl
dnl Please mail bug reports to bug-lyskom@lysator.liu.se. 
dnl

dnl
dnl Check if a option is acceptable to the C compiler in use
dnl
AC_DEFUN(KOM_COMPILER_CC_ACCEPTS,
[kom_safe=`echo "kom_cv_compiler_${CC}_accepts_$1" | tr './=\055' '____'`
AC_MSG_CHECKING([whether ${CC} accepts $1])
AC_CACHE_VAL($kom_safe,
[[kom_oldflags=$CFLAGS
CFLAGS="$CFLAGS $1"]
AC_TRY_LINK(,,
	[eval "$kom_safe=yes"],
	[eval "$kom_safe=no"])
[CFLAGS=$kom_oldflags]])dnl
AC_MSG_RESULT([`eval echo '$'$kom_safe`])
if test `eval echo '$'$kom_safe` = yes; then
  CFLAGS="$CFLAGS $1"
fi])dnl
