/*
 * $Id: compiler.h,v 0.5 1995/01/01 20:17:08 ceder Exp $
 * Copyright (C) 1990, 1991, 1994, 1995  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 *  compiler.h
 *		Defines different macros depending on the compiler to
 *		portably use features of different compilers, like the
 *		'__inline__' keyword in GCC.
 *
 *
 *  Copyright (C) 1990, 1991, 1994, 1995	Lysator Computer Club,
 *			Linkoping University,  Sweden
 *
 *  Everyone is granted permission to copy, modify and redistribute
 *  this code, provided the people they give it to can.
 *
 *
 *  Author:	Thomas Bellman
 *		Lysator Computer Club
 *		Linkoping University
 *		Sweden
 *
 *  email:	Bellman@Lysator.LiU.SE
 */


#ifndef  SPECIAL_H_ALREADY_INCLUDED__
#define  SPECIAL_H_ALREADY_INCLUDED__


#ifdef __GNUC__

#	define	Inline		__inline__	/* Inline function */
#	define	Volatile	volatile	/* Function does not return */

#else

#	define	Inline
#	define	Volatile

#endif


#endif  /*  SPECIAL_H_ALREADY_INCLUDED__  */
