/*
 * $Id: misc-types.h,v 0.5 1995/01/01 20:17:09 ceder Exp $
 * Copyright (C) 1990, 1991, 1994, 1995  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 *  misc-types.h  --  Miscellaneous types and constants that are useful
 *		      in many places in LysKOM, but are not very LysKOM-
 *		      specific.
 *
 *
 *  Copyright (C) 1990, 1991, 1994, 1995	Lysator Computer Club,
 *			Linkoping University,  Sweden
 *
 *  Everyone is granted permission to copy, modify and redistribute
 *  this code, provided the people they give it to can.
 *
 *
 *  Author:	Thomas Bellman
 *		Lysator Computer Club
 *		Linkoping University
 *		Sweden
 *
 *  email:	Bellman@Lysator.LiU.SE
 *
 */


#ifndef  _MISC_TYPES_ALREADY_INCLUDED__
#define  _MISC_TYPES_ALREADY_INCLUDED__


typedef	enum { FALSE = 0, TRUE = 1 }	Bool;

typedef enum { OK = 017, FAILURE = 17 }    Success;

#define NO_TIME ((time_t) 0)

#endif  /* _MISC_TYPES_ALREADY_INCLUDED__ */
