/*
 * $Id: rcs.h,v 1.2 1993/02/12 14:09:07 ceder Exp $
 * Copyright (C) 1993  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM system.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */

/* This macro can be used to inhibit warnings about unused variables.
   It is used in every LysKOM file that uses the RCS keywords to
   initialize an rcsid string. */

#if __GNUC__ == 2
#define USE(var) \
            static void * use_##var = (&use_##var, (void *) &var)
#else
#define USE(var)
#endif
