#
# $Id: call-switch.awk,v 0.9 1995/01/01 20:17:20 ceder Exp $
# Copyright (C) 1991, 1993, 1994, 1995  Lysator Academic Computer Association.
#
# This file is part of the LysKOM server.
# 
# LysKOM is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by 
# the Free Software Foundation; either version 1, or (at your option) 
# any later version.
# 
# LysKOM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with LysKOM; see the file COPYING.  If not, write to
# Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
# or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
# MA 02139, USA.
#
# Please mail bug reports to bug-lyskom@lysator.liu.se. 
#
# $Id: call-switch.awk,v 0.9 1995/01/01 20:17:20 ceder Exp $
BEGIN {
    printf("/* Don't edit this file - it is generated automatically");
    printf(" from\n   call-switch.awk and fncdef.txt */\n");
    printf("\tswitch(client->function)\n\t{\n"); 
}
$1 != "#" {
    printf("\tcase call_fnc_%s:\n\t    ", $2);
    if ( $1 == "success" )
	printf("status = %s(", $2);
    else
	printf("res->number = %s(", $2);
    
    num=0;
    string=0;
    c_string=0;
    for ( i = 3; i <= NF; i++)
    {
	if ( i != 3 )
	    printf(", ");
	if ( $i == ":" )
	{
	    printf("&res->%s", $(i+1));
	    break;
	}
	if ( $i == "num" )
	    printf("client->num%d", num++);
	else if ( $i == "string" )
	    printf("client->string%d", string++);
	else if ( $i == "c_string" )
	    printf("client->c_string%d", c_string++);
	else if ( $i == "priv_bits" )
	    printf("client->priv_bits");
	else if ( $i == "conf_type" )
	    printf("client->conf_type");
	else if ( $i == "c_local_text_no_p" )
	    printf("client->c_local_text_no_p");
	else if ( $i == "c_misc_info_p" )
	    printf("client->c_misc_info_p");
	else if ( $i == "time_date" )
	    printf("&client->time");
	else
	    printf("\n#error in file server/fncdef.txt\n");
    }
		  
    printf(");\n");
    if ( $1 == "number" )
    {
	if ( $2 == "get_time" )
	    printf("\t    status = OK;\n");
	else
	    printf("\t    status = (res->number != 0) ? OK : FAILURE;\n");
    }

    printf("\t    break;\n\n");
}
END { printf("\t}\n"); }
