/*
 * $Id: internal-services.h,v 0.7 1995/01/01 20:17:21 ceder Exp $
 * Copyright (C) 1991, 1992, 1994, 1995  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * $Id: internal-services.h,v 0.7 1995/01/01 20:17:21 ceder Exp $
 *
 * server/services.h
 *
 * F|rv{xla inte denna fil med services.h!
 *
 * I denna fil ligger en del funktioner typ do_delete_text som anropas
 * b}de av servern (n{r en text blir f|r gammal) och av klienten (n{r
 * en av{ndare kom p} att han inte ville ha texten kvar)
 *
 * Funktionerna i denna fil har kontrollerar inte att ACTPERS har r{tt att
 * g|ra det som g|rs. +++FIXME--translate to english
 */


extern Bool logins_allowed;	/* Defined in server/services.c */

/*
 * Create a conference.
 *
 * Returns (Conf_no) 0 if there is an error.
 */

extern Conf_no
do_create_conf(String	 name,
	       Pers_no	 creator,
	       Conf_no	 supervisor,
	       Conf_no	 super_conf,
	       Conf_type type);



extern Success
do_delete_text(Text_no    text_no,
	       Text_stat *text_s);
