/*
 * $Id: prot-a-parse.h,v 0.8 1995/01/01 20:17:25 ceder Exp $
 * Copyright (C) 1991, 1992, 1994, 1995  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * $Id: prot-a-parse.h,v 0.8 1995/01/01 20:17:25 ceder Exp $
 *
 */
extern long
prot_a_parse_long(Connection *client);

extern void
prot_a_parse_priv_bits(Connection *client,
		       Priv_bits  *result);

extern void
prot_a_parse_conf_type(Connection *client,
		       Conf_type      *result);


extern void
prot_a_parse_string(Connection *client,
	     String	    *result,
	     int	     maxlen);

extern void
prot_a_parse_misc_info(Connection *client,
		Misc_info      *result);

extern void
prot_a_parse_time_date(Connection *client,
		       struct tm  *result);
