/*
 * $Id: prot-a-send-async.h,v 0.6 1995/01/01 20:17:25 ceder Exp $
 * Copyright (C) 1991, 1994, 1995  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * $Id: prot-a-send-async.h,v 0.6 1995/01/01 20:17:25 ceder Exp $
 *
 * Asynchronous messages in protocol A.
 */

void
prot_a_async_new_text(Connection *cptr,
		      Text_no	      text_no,
		      Text_stat      *text_s);

void
prot_a_async_i_am_on(Connection *cptr,
		     Who_info info);
void
prot_a_async_logout(Connection *cptr,
		    Pers_no pers_no,
		    Session_no session_no);

void
prot_a_async_new_name(Connection *cptr,
		      Conf_no conf_no,
		      String old_name,
		      String new_name);

void
prot_a_async_sync_db(Connection *cptr);

void
prot_a_async_forced_leave_conf(Connection *cptr,
			       Conf_no	       conf_no);

void
prot_a_async_login(Connection *cptr,
		   Pers_no	   pers_no,
		   int		   session_no);

void
prot_a_async_rejected_connection(Connection *cptr);

void
prot_a_async_send_message(Connection *cptr,
			  Conf_no     recipient,
			  Pers_no     sender,
			  String      message);
