/*
 * $Id: ram-output.h,v 0.7 1995/01/01 20:17:26 ceder Exp $
 * Copyright (C) 1991, 1993, 1994, 1995  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * $Id: ram-output.h,v 0.7 1995/01/01 20:17:26 ceder Exp $
 *
 * ram-output.c  -  write objects to disk.
 *
 * This is a hack. It shouldn't be used except for debugging and as a
 * temporary substitute for what Willf|r is (or should:-) be doing.
 *
 * Written by ceder 1990-07-13. Rewritten 1990-08-31.
 */

void
foutput_person (FILE *fp,
		Person *person);


void
foutput_conference (FILE *fp,
		    Conference *conf_c);

void
foutput_text_stat(FILE *fp,
		  Text_stat *t_stat);

extern void
foutput_string(FILE *fp,
		     String str);
extern void
foutput_priv_bits(FILE *fp,
		  Priv_bits bits);
extern void
foutput_personal_flags(FILE *fp,
		       Personal_flags flags);

void
foutput_text_list(FILE *fp,
		  Text_list text_list);

void
foutput_mark_list(FILE *fp,
		  Mark_list mark_list);

extern void
foutput_mark(FILE *fp,
	     Mark mark);
void
foutput_membership_list (FILE		* fp,
			 Membership_list  mlist);

void
foutput_membership(FILE *fp,
		   Membership *mship);
void
foutput_time(FILE *fp,
	     time_t clock);

extern void
foutput_member_list(FILE *fp,
		    Member_list m_list);

void
foutput_member(FILE *fp,
	       Member member);
extern void
foutput_conf_type(FILE *fp,
		  Conf_type type);

extern void
foutput_misc_info(FILE *fp, 
		  Misc_info misc);

extern void
foutput_ulong (unsigned long l,
	       FILE *fp);
