/*
 * $Id: debug.h,v 0.5 1995/01/01 20:17:08 ceder Exp $
 * Copyright (C) 1991, 1994, 1995  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
#ifndef NDEBUG
#define BUG(s)  if (buglevel > 0) printf s ;
#define VBUG(s) if (buglevel > 1) printf s ;
#define BUGSTR(str) if (buglevel > 0) s_puts(str)
#define VBUGSTR(str) if (buglevel > 1) s_puts(str)
#define BUGDECL extern int buglevel
#else
#define BUG(s)
#define VBUG(s)
#define BUGSTR(str)
#define VBUGSTR(str)
#define BUGDECL
#endif
