/*
 * $Id: memcpy.c,v 1.6 1995/01/01 20:17:10 ceder Exp $
 * Copyright (C) 1991, 1993, 1994, 1995  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */

static char *rcsid = "$Id: memcpy.c,v 1.6 1995/01/01 20:17:10 ceder Exp $";
#include "rcs.h"
USE(rcsid);

#ifdef HAVE_STRING_H
#include <string.h>
#endif
#include <sys/types.h>

void *
memcpy (void * s1, const void * s2, size_t n)
{
    extern bcopy(const char *b1, char *b2, unsigned int length);

    /* bcopy takes the parameters the other way round. */
    
    bcopy(s2, s1, n);
    return s1;			/* Since ANSI says so */
}
