#
# $Id: fnc-def-init.awk,v 0.4 1991/09/15 10:32:10 linus Exp $
# Copyright (C) 1991  Lysator Academic Computer Association.
#
# This file is part of the LysKOM server.
# 
# LysKOM is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by 
# the Free Software Foundation; either version 1, or (at your option) 
# any later version.
# 
# LysKOM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with LysKOM; see the file COPYING.  If not, write to
# Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
# or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
# MA 02139, USA.
#
# Please mail bug reports to bug-lyskom@lysator.liu.se. 
#
# $Id: fnc-def-init.awk,v 0.4 1991/09/15 10:32:10 linus Exp $
BEGIN {
    printf("/* Don't edit this file - it is generated automatically");
    printf(" from\n   fnc-def-init.awk and fncdef.txt */\n\n");
    printed_flg=0;
}
printed_flg==1 {
    printf(",\n");
}
$1 != "#" {
    printf("    {");

    if ( $(NF-1) == ":" )
	printf("%7s,", "rt_" $NF);
    else
	printf("%7s,", "rt_" $1);

    printf("prot_a_parse_arg_%s}", $2);

    printed_flg=1;
}
END {
    printf("\n");
}
