/*
 * $Id: isc-malloc.h,v 1.4 1995/01/01 20:17:21 ceder Exp $
 * Copyright (C) 1991, 1992, 1994, 1995  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * $Id: isc-malloc.h,v 1.4 1995/01/01 20:17:21 ceder Exp $
 *
 * Malloc wrappers for the string package.
 *
 * These functions call smalloc and also counts
 * how many allocated strings there are.
 */

extern  void *
isc_malloc_wrapper (size_t size);


extern  void
isc_free_wrapper (void * ptr);

extern  void *
isc_realloc_wrapper (void * ptr,
		     size_t size);

extern void
dump_isc_alloc_counts(FILE *stat_file);
