/*
 * $Id: log.h,v 0.9 1995/01/01 20:17:22 ceder Exp $
 * Copyright (C) 1991, 1993, 1994, 1995  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * $Id: log.h,v 0.9 1995/01/01 20:17:22 ceder Exp $
 *
 * log.h
 *
 * File created by ceder 1990-05-25.
 */

#ifndef __LYSKOM__LOG_H__
#define __LYSKOM__LOG_H__

/*
 * Add a string to the log file.
 */

#if defined(HAVE_VFPRINTF) && defined(HAVE_STDARG_H)
extern void
log (const char * format, ...);

extern void
logv (const char * format, va_list AP);

#else  /* !HAVE_VFPRINTF || !HAVE_STDARG_H*/
extern void
log ();

#endif /* !HAVE_VFPRINTF || !HAVE_STDARG_H*/

#endif
